/**
 * @encoding     UTF-8
 * @package      WordPress Demo Content Manager
 * @link         https://codecanyon.net/item/wordpress-demo-content-manager/20669604
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

"use strict";

(function($){
    
    function initCollections($collection, $filters, tab_id)
    {
        $(document).on('ready', function(){
            var $grid_current = $collection.isotope({
                itemSelector: '.grid-item',
                layoutMode: 'fitRows'
            });

            $grid_current.imagesLoaded().progress( function() {
                $grid_current.isotope('layout');
            });

            $('.collection-tabs a[aria-controls="'+ tab_id +'"]').on('shown.bs.tab', function(){
                $grid_current.isotope('layout');
            });

            $filters.each( function( i, buttonGroup ) {
                var $buttonGroup = $( buttonGroup );
                $buttonGroup.on( 'click', 'button', function() {
                    $buttonGroup.find('.is-checked').removeClass('is-checked');
                    $( this ).addClass('is-checked');
                    var filterValue = $( this ).attr('data-filter');
                    $grid_current.isotope({ filter: filterValue });
                    console.log('click');
                });
            });
        });
    }
    
    $('.collection-wrapper').each(function(index){
        
        var $filters = $(this).find('.collection-filters').first();
        var $collection = $(this).find('.collection-grid').first();
        var tab_id = $(this).attr('id');
        initCollections($collection, $filters, tab_id);
        
        if (index === 0) {
            $('a[aria-controls="'+ tab_id +'"]').first().tab('show');
        }
        
    });
    
    $(window).trigger('resize');
    
})(jQuery);

/**
 * Tabination
 */
(function($){
    
    $('.collection-tabs a').click(function(e) {
        e.preventDefault();
        var id = $(e.target).attr("href").substr(1);
        window.location.hash = id;
        $(this).tab('show');
    });

    $(window).on("hashchange", function(e) {
        return false;
    });
    
    var hash = window.location.hash;
    var $target_tab = $('.collection-tabs a[href="' + hash + '"]');
    if ($target_tab.length) {
        $('.collection-tabs a[href="' + hash + '"]').tab('show');
    }
    
})(jQuery);


