<?php

/**
 * @encoding     UTF-8
 * @package      WordPress Demo Content Manager
 * @link         https://codecanyon.net/item/wordpress-demo-content-manager/20669604
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

namespace DM\Pages;

use DM\WPObjects\Page\AdminPage;
use DM\Service;
use DM\Data;

class Settings extends AdminPage
{
    protected $register_settings = array(
        'repository_url',
        'repository_library_name',
        'statistic_post_report_url',
        'enable_develop_mod',
        'enable_multisite_mode',
        'ftp_host',
        'ftp_user',
        'ftp_password',
        'origin_demo_id'
    );
    
    public function __construct()
    {
        $this->perent_menu_id = 'dm_demo_manager';
        $this->menu_name = __( 'Settings', 'dm-admin' );
        $this->title = __( 'Demo manager settings', 'dm-admin' );
        $this->permission = 'manage_options';
        $this->id = 'dm_demo_manager_settings';
    }
    
    
    
    public function enqueues()
    {
        wp_enqueue_style('dm_bootstrap_wrapper', plugins_url() . '/wp_demo_manager/assets/css/bootstrap-wrapper.css', false, false, 'all');
        wp_enqueue_style('dm_admin_default', plugins_url() . '/wp_demo_manager/assets/css/admin-defaults.css', false, false, 'all');
        wp_enqueue_style('dm_fontawesome', plugins_url() . '/wp_demo_manager/assets/css/font-awesome.min.css', false, false, 'all');
        wp_enqueue_style('dm_style', plugins_url() . '/wp_demo_manager/assets/css/style.css', false, false, 'all');
        
        wp_enqueue_script('dm_script', plugins_url() . '/wp_demo_manager/assets/js/js.js', array('backbone', 'jquery', 'isotope'), false, 'all');
        wp_localize_script('dm_script', 'wp_demo_manager', array(
            'log_url' => \plugins_url() . '/wp_demo_manager/log.json',
            'data_key' => Service::getDBname(),
            'ajax_url' => \admin_url( 'admin-ajax.php' )
        ));
    }
    
    public function POSTAction($data)
    {
        foreach ($data as $key => $value) {
            if (!in_array($key, $this->register_settings)) {
                continue;
            }
            
            Data::setData($key, $value ? $value : null);
        }
    }
}
