<?php

/**
 * @encoding     UTF-8
 * @package      WordPress Demo Content Manager
 * @link         https://codecanyon.net/item/wordpress-demo-content-manager/20669604
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

namespace DM\Processing\Steps;

use DM\Processing\Step;

class CreateDemoConfiguration extends Step
{
    /**
     * @return boolean
     * @throws Exception
     */
    protected function processing()
    {
        $this->getLog()->addLog('Start demo dump creating');
        
        $demo_dir_name = $this->getDemo()->getDemoDir();
        if (!is_dir($demo_dir_name)) {
            \wp_mkdir_p($demo_dir_name);
        }
        
        $zip_path = $this->getDemo()->getDemoZipFilePath();
        $wp_filesystem = \DM\WPObjects\FileSystem\FileSystem::getInstance();
        if ($wp_filesystem->exists($zip_path)) {
            $wp_filesystem->delete($zip_path);
        }
        
        return true;
    }
    
    protected function abort()
    {
        return true;
    }
}

