<?php

/**
 * @encoding     UTF-8
 * @package      WordPress Demo Content Manager
 * @link         https://codecanyon.net/item/wordpress-demo-content-manager/20669604
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

namespace DM\Processing\Steps;

use DM\Processing\Step;
use DM\Service;

class ExtractMediafiles extends Step
{
    /**
     * Extract mediafiles from local demo content pack
     * @return boolean
     * @throws Exception
     */
    protected function processing()
    {
        $upload_dir_information = wp_upload_dir();
        if (!is_array($upload_dir_information) || !isset($upload_dir_information['basedir'])) {
            throw new \Exception('');
        }
        
        $this->getLog()->addLog('Extract content files');
        Service::extractContent($this->getDemo()->getUploadsDir(), $upload_dir_information['basedir']);
        
        return true;
    }
    
    protected function abort()
    {
        $Demo = $this->getDemo();
        
        $this->getLog()->addLog('Deleting media files from local storage');
        Service::removeContent($Demo->getUploadsDir(), ABSPATH . '/wp-content/uploads');
        
        $this->getLog()->addLog('Deleting demo content require plugins from local storage');
        Service::removeContent($Demo->getPluginsDir(), ABSPATH . '/wp-content/plugins');
        
        return true;
    }
    
    
}

